Java7, new eclipse?

Hello,

It seems Java 6 will be soon unsupported. Are there plans to bundle Java 7 in new KNIME versions?

Related: plans for eclipse 4.x support in a future version?

Thanks, gabor

KNIME 2.7 will be based on Eclipse 3.7 and Java 7. Eclipse 4.x is still too unstable and slow to be used in production.

However, the KNIME Mac version will not come with an JRE included due to massive problems picking up the right Java version. The Mac version we support with 2.7 on Mac(!) is 1.6.0_37.